package com.yihu.jw.entity.hospital.healthCare;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangzhinan on 20211003
 */
@Entity
@Table(name = "base_ylz_medical_icd")
public class YlzMedicalIcdDO extends UuidIdentityEntity {
    private String medicalId;
    private String diseaseCodeIcd10;
    private String diseaseNameIcd10;
    private String diseaseType;
    private String diseaseOrder;
    private Integer del;
    private Date createTime;

    public String getMedicalId() {
        return medicalId;
    }

    public void setMedicalId(String medicalId) {
        this.medicalId = medicalId;
    }

    public String getDiseaseCodeIcd10() {
        return diseaseCodeIcd10;
    }

    public void setDiseaseCodeIcd10(String diseaseCodeIcd10) {
        this.diseaseCodeIcd10 = diseaseCodeIcd10;
    }

    public String getDiseaseNameIcd10() {
        return diseaseNameIcd10;
    }

    public void setDiseaseNameIcd10(String diseaseNameIcd10) {
        this.diseaseNameIcd10 = diseaseNameIcd10;
    }

    public String getDiseaseType() {
        return diseaseType;
    }

    public void setDiseaseType(String diseaseType) {
        this.diseaseType = diseaseType;
    }

    public String getDiseaseOrder() {
        return diseaseOrder;
    }

    public void setDiseaseOrder(String diseaseOrder) {
        this.diseaseOrder = diseaseOrder;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
